> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qa.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# List application environments

> List environments for a specific application



## OpenAPI

````yaml /api-reference/api.json get /v1/applications/{applicationShortId}/environments
openapi: 3.0.0
info:
  title: QA.tech API
  version: 1.0.0
  contact:
    name: QA.tech
    url: https://qa.tech
    email: support@qa.tech
  description: >-
    REST API for triggering and managing AI-powered test runs. Authenticate with
    a project API token (Authorization: Bearer <token>) found in Project
    Settings -> Integrations.
servers:
  - url: https://api.qa.tech
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Runs
  - name: Infrastructure
  - name: Test Cases
  - name: Application Builds
  - name: Status badge
  - name: Remote Tunnels
  - name: Chat
  - name: Applications
paths:
  /v1/applications/{applicationShortId}/environments:
    get:
      tags:
        - Applications
      summary: List application environments
      description: List environments for a specific application
      operationId: ListApplicationEnvironments
      parameters:
        - name: applicationShortId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ApplicationShortId'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListApplicationEnvironmentsResponse'
components:
  schemas:
    ApplicationShortId:
      type: string
      pattern: ^app(-.+_.+|_.+)$
    ListApplicationEnvironmentsResponse:
      type: object
      required:
        - environments
      properties:
        environments:
          type: array
          items:
            $ref: '#/components/schemas/EnvironmentItem'
    EnvironmentItem:
      type: object
      required:
        - shortId
        - name
        - url
        - isProduction
      properties:
        shortId:
          $ref: '#/components/schemas/EnvironmentShortId'
        name:
          type: string
        url:
          type: string
          nullable: true
        isProduction:
          type: boolean
    EnvironmentShortId:
      type: string
      pattern: ^env(-.+_.+|_.+)$
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````